Package com.verisign.epp.interfaces

## Class EPPOrgTst

- java.lang.Object
- - com.verisign.epp.interfaces.EPPOrgTst

-     public class EPPOrgTst
      extends java.lang.Object

  Is a unit test of the `EPPOrg` class. The unit test will initialize a session with an EPP Server, will invoke `EPPOrg` operations, and will end a session with an EPP Server. The configuration file used by the unit test defaults to epp.config, but can be changed by passing the file path as the first command line argument. The unit test can be run in multiple threads by setting the "threads" system property. For example, the unit test can be run in 2 threads with the configuration file ../../epp.config with the following command:
  java com.verisign.epp.interfaces.EPPOrgTst -Dthreads=2 ../../epp.config
  The unit test is dependent on the use of JUNIT 3.5

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPOrgTst()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `beforeClass()` | JUNIT `suite` static method, which returns the tests associated with `EPPOrgTst`.
    `void` | `handleException​(java.lang.Exception aException)` | Handle an `EPPCommandException`, which can be either a server generated error or a general exception.
    `void` | `orgCheck()` | Unit test of `EPPOrg.sendCheck()` for a set of org identifiers.
    `void` | `orgCreate()` | Unit test of `EPPOrg.sendCreate()` to create a org.
    `void` | `orgCreatePending()` | Unit test of `EPPOrg.sendCreate()` to create a pending org, which should include a pending action poll message.
    `void` | `orgDelete()` | Unit test of `EPPOrg.sendDelete()` to delete a specific org identifier.
    `void` | `orgInfo()` | Unit test of `EPPOrg.sendInfo()` to get the information for a specific org identifier.
    `void` | `orgUpdate()` | Unit test of `EPPOrg.sendUpdate()` to create a org.
    `void` | `setUp()` | JUNIT `setUp` method, which sets the default client Id to "theRegistrar".
    `void` | `tearDown()` | JUNIT `tearDown`, which currently does nothing.
    `void` | `testOrg()` | JUNIT test method to implement the `EPPOrgTst TestCase`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPOrgTst

          public EPPOrgTst()

  - ### Method Detail

    - #### testOrg

          public void testOrg()

      JUNIT test method to implement the `EPPOrgTst TestCase`. Each sub-test will be invoked in order to satisfy testing the EPPOrg interface.

    - #### orgCheck

          public void orgCheck()

      Unit test of `EPPOrg.sendCheck()` for a set of org identifiers.

    - #### orgInfo

          public void orgInfo()

      Unit test of `EPPOrg.sendInfo()` to get the information for a specific org identifier.

    - #### orgCreate

          public void orgCreate()

      Unit test of `EPPOrg.sendCreate()` to create a org.

    - #### orgCreatePending

          public void orgCreatePending()

      Unit test of `EPPOrg.sendCreate()` to create a pending org, which should include a pending action poll message.

    - #### orgDelete

          public void orgDelete()

      Unit test of `EPPOrg.sendDelete()` to delete a specific org identifier.

    - #### orgUpdate

          public void orgUpdate()

      Unit test of `EPPOrg.sendUpdate()` to create a org.

    - #### setUp

          public void setUp()

      JUNIT `setUp` method, which sets the default client Id to "theRegistrar".

    - #### tearDown

          public void tearDown()

      JUNIT `tearDown`, which currently does nothing.

    - #### beforeClass

          public static void beforeClass()

      JUNIT `suite` static method, which returns the tests associated with `EPPOrgTst`.

    - #### handleException

          public void handleException​(java.lang.Exception aException)

      Handle an `EPPCommandException`, which can be either a server generated error or a general exception. If the exception was caused by a server error, "Server Error :<Response XML>" will be specified. If the exception was caused by a general algorithm error, "General Error :<Exception Description>" will be specified.
      Parameters:
        `aException` - Exception thrown during test